#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-ASExTvaszdBJRJWBDJbo9Q-dns-internal
key:                  dns-4.1.0-ASExTvaszdBJRJWBDJbo9Q-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  f9f7105169166efbf360f7a4d698be3e
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-ASExTvaszdBJRJWBDJbo9Q-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-BdHoOnHsHdsApgNgZOPvuU
    attoparsec-0.14.4-IunVluIlg1j8NQqYaVddnF
    auto-update-0.1.6-IRlrIA4L6XoGqhF6auZ3uo base-4.15.1.0
    base16-bytestring-1.0.2.0-BhRDuWK4BAQJZPnXghIxiI
    base64-bytestring-1.2.1.0-CM0hYSNUcmEXJNyTXmK7o
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-H3ycXu8E6RPDhrXk13rlsD
    hourglass-0.2.12-K23HUAH9IGt4VfhTMnFqml
    iproute-1.7.12-6psOSHVymglDhEIcdHN7Tr mtl-2.2.2
    network-3.1.4.0-9Bfooq2NUZQBZiFYQuYMVQ
    psqueues-0.2.7.3-LjkxelrNmEd99cqUnukDu0

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-JBYzBoT3Nwe7Cv9S6HCajO
key:                  dns-4.1.0-JBYzBoT3Nwe7Cv9S6HCajO
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  37b66c1a7329df5392786f1b16228c52
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-JBYzBoT3Nwe7Cv9S6HCajO
depends:
    array-0.5.4.0 async-2.2.4-BdHoOnHsHdsApgNgZOPvuU
    attoparsec-0.14.4-IunVluIlg1j8NQqYaVddnF
    auto-update-0.1.6-IRlrIA4L6XoGqhF6auZ3uo base-4.15.1.0
    base16-bytestring-1.0.2.0-BhRDuWK4BAQJZPnXghIxiI
    base64-bytestring-1.2.1.0-CM0hYSNUcmEXJNyTXmK7o
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-H3ycXu8E6RPDhrXk13rlsD
    dns-4.1.0-ASExTvaszdBJRJWBDJbo9Q-dns-internal
    hourglass-0.2.12-K23HUAH9IGt4VfhTMnFqml
    iproute-1.7.12-6psOSHVymglDhEIcdHN7Tr mtl-2.2.2
    network-3.1.4.0-9Bfooq2NUZQBZiFYQuYMVQ
    psqueues-0.2.7.3-LjkxelrNmEd99cqUnukDu0

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

